#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 snap-core
version:              1.0.5.0
visibility:           public
id:                   snap-core-1.0.5.0-EJAckF7CL4o6gLo0O7nz5w
key:                  snap-core-1.0.5.0-EJAckF7CL4o6gLo0O7nz5w
license:              BSD-3-Clause
maintainer:           snap@snapframework.com
author:               Snap Framework Authors (see CONTRIBUTORS)
homepage:             http://snapframework.com/
synopsis:             Snap: A Haskell Web Framework (core interfaces and types)
description:
    Snap is a simple and fast web development framework and server written in
    Haskell. For more information or to download the latest version, you can
    visit the Snap project website at <http://snapframework.com/>.

    This library contains the core definitions and types for the Snap framework,
    including:

    1. Primitive types and functions for HTTP (requests, responses, cookies,
    post/query parameters, etc)

    2. A monad for programming web handlers called \"Snap\", which allows:

    * Stateful access to the HTTP request and response objects

    * Monadic failure (i.e. MonadPlus/Alternative instances) for declining
    to handle requests and chaining handlers together

    * Early termination of the computation if you know early what you want
    to return and want to prevent further monadic processing

    /Quick start/: The '\''Snap'\'' monad and HTTP definitions are in "Snap.Core".

category:             Web, Snap, IO-Streams
abi:                  a2136d312bb7cd53c73367e0f1d85526
exposed:              True
exposed-modules:
    Snap.Core Snap.Internal.Core Snap.Internal.Debug
    Snap.Internal.Http.Types Snap.Internal.Parsing
    Snap.Internal.Util.FileServe Snap.Test Snap.Types.Headers
    Snap.Util.CORS Snap.Util.FileServe Snap.Util.FileUploads
    Snap.Util.GZip Snap.Util.Proxy

hidden-modules:
    Snap.Internal.Instances Snap.Internal.Routing
    Snap.Internal.Test.RequestBuilder Snap.Internal.Test.Assertions
    Snap.Internal.Util.FileUploads

import-dirs:          /usr/lib/ghc-9.0.2/site-local/snap-core-1.0.5.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/snap-core-1.0.5.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-snap-core
hs-libraries:         HSsnap-core-1.0.5.0-EJAckF7CL4o6gLo0O7nz5w
depends:
    HUnit-1.6.2.0-27H1uGAvNhf3XwNqk0T4b4
    attoparsec-0.14.4-GQCbZtbgbga3SK9vWtEEFK base-4.15.1.0
    bytestring-0.10.12.1
    case-insensitive-1.2.1.0-73T65mjLeXR3lPiHTeeggu containers-0.6.4.1
    directory-1.3.6.2 filepath-1.4.2.1
    hashable-1.4.1.0-IpvqAKlseIJF8jDncdkjUf
    io-streams-1.5.2.2-KsEqlQA8eQX2cti6FwHREb
    lifted-base-0.2.3.12-FCCRIWC3CgXHT7BLKurffF
    monad-control-1.0.3.1-GpgVyPHmiKkFcdIIOGrkhh mtl-2.2.2
    network-3.1.2.7-KHsxGS10v7SFpM3TUBfkXY
    network-uri-2.6.4.1-6ZiP9eTaRPdCx8mZK7nGmp
    old-locale-1.0.0.7-B94o3sNLYrV8oE3WO2rqHh
    random-1.2.1.1-HiECQni2AdzGisFczLwCdX
    readable-0.3.1-8qk55zLnPf8IWPnnTbUyya
    regex-posix-0.96.0.1-3tnfXrSqQrb7MJMFtuTwG8 text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-47QXFWU8OI3AOeTzeSnbjy
    unix-compat-0.6-7GoJiPmXDwbB3pwrfbDUTO
    unordered-containers-0.2.19.1-GtFja3NZ1tw4exmhm99dqw
    vector-0.13.0.0-GfIMzH8CfjSEVrHPrMfjgS

haddock-interfaces:   /usr/share/doc/haskell-snap-core/html/snap-core.haddock
haddock-html:         /usr/share/doc/haskell-snap-core/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

